package net.northking.cctp.executePlan.feign.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.Date;

public class App {
    /**
     * 应用id<br>
     */
    @ApiModelProperty("应用id")
    @Size(max = 32, message="应用id-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 应用名称<br>
     */
    @ApiModelProperty("应用名称")
    @Size(max = 32, message="应用名称-appName: 数据长度不能 > 32" )
    private String appName;
    /**
     * 应用大小<br>
     */
    @ApiModelProperty("应用大小")
    @Size(max = 32, message="应用大小-appSize: 数据长度不能 > 32" )
    private String appSize;
    /**
     * 包名称<br>
     */
    @ApiModelProperty("包名称")
    @Size(max = 32, message="包名称-packageName: 数据长度不能 > 32" )
    private String packageName;
    /**
     * 构建版本<br>
     */
    @ApiModelProperty("构建版本")
    @Size(max = 32, message="构建版本-buildVersion: 数据长度不能 > 32" )
    private String buildVersion;
    /**
     * 平台类型$$$0-android,1-IOS<br>
     */
    @ApiModelProperty("平台类型$$$0-android,1-IOS")
    @Size(max = 32, message="平台类型$$$0-android,1-IOS-platform: 数据长度不能 > 32" )
    private String platform;
    /**
     * 脚本文件地址<br>
     */
    @ApiModelProperty("脚本文件地址")
    @Size(max = 512, message="脚本文件地址-appUrl: 数据长度不能 > 512" )
    private String appUrl;
    /**
     * 版本说明<br>
     */
    @ApiModelProperty("版本说明")
    @Size(max = 32, message="版本说明-versionMark: 数据长度不能 > 32" )
    private String versionMark;
    /**
     * 设备归属对象ID<br>
     */
    @ApiModelProperty("设备归属对象ID")
    @Size(max = 32, message="设备归属对象ID-ownerId: 数据长度不能 > 32" )
    private String ownerId;
    /**
     * 租户ID<br>
     */
    @ApiModelProperty("租户ID")
    @Size(max = 32, message="租户ID-tenantId: 数据长度不能 > 32" )
    private String tenantId;
    /**
     * app图标<br>
     */
    @ApiModelProperty("app图标")
    private byte[] appIcon;
    /**
     * 备注<br>
     */
    @ApiModelProperty("备注")
    @Size(max = 256, message="备注-remarks: 数据长度不能 > 256" )
    private String remarks;
    /**
     * 版本编号<br>
     */
    @ApiModelProperty("版本编号")
    private Integer versionCode;
    /**
     * activity<br>
     */
    @ApiModelProperty("activity")
    @Size(max = 128, message="activity-activity: 数据长度不能 > 128" )
    private String activity;
    /**
     * 上传人<br>
     */
    @ApiModelProperty("上传人")
    @Size(max = 32, message="上传人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 更新人<br>
     */
    @ApiModelProperty("更新人")
    @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
    private String updatedBy;
    /**
     * 更新时间<br>
     */
    @ApiModelProperty("更新时间")
    private Date updatedTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppSize() {
        return appSize;
    }

    public void setAppSize(String appSize) {
        this.appSize = appSize;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getBuildVersion() {
        return buildVersion;
    }

    public void setBuildVersion(String buildVersion) {
        this.buildVersion = buildVersion;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getAppUrl() {
        return appUrl;
    }

    public void setAppUrl(String appUrl) {
        this.appUrl = appUrl;
    }

    public String getVersionMark() {
        return versionMark;
    }

    public void setVersionMark(String versionMark) {
        this.versionMark = versionMark;
    }

    public String getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(String ownerId) {
        this.ownerId = ownerId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public byte[] getAppIcon() {
        return appIcon;
    }

    public void setAppIcon(byte[] appIcon) {
        this.appIcon = appIcon;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getVersionCode() {
        return versionCode;
    }

    public void setVersionCode(Integer versionCode) {
        this.versionCode = versionCode;
    }

    public String getActivity() {
        return activity;
    }

    public void setActivity(String activity) {
        this.activity = activity;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
}
